const CopyPsdModel = require('../models/CopyPsd.js');

const getCopy = async (req, res) => {
  const { type, dirigido } = req.params;
  const { estatus, page = 1, search } = req.query;

  const options = {
    page,
    limit: 10,
    sort: { estatus: 1, nombre: 1 }

  };

  const query = {
    type,
    dirigido
  };

  if (estatus) {
    query.estatus = estatus;
  }

  if (search) {
    query.nombre = { $regex: search, $options: 'i' };
  }

  try {
    const findCopy = await CopyPsdModel.paginate(query, options);

    res.status(200).json({ copy: findCopy });
  } catch (error) {
    res.status(404).json({ message: error.message });
  }
};

const getCopyPagination = async (req, res) => {
  const { type, dirigido } = req.params;

  const query = {
    type,
    dirigido,
    estatus: 'Activo'
  };

  try {
    const findCopy = await CopyPsdModel.find(query);

    res.status(200).json({ copy: findCopy });
  } catch (error) {
    res.status(404).json({ message: error.message });
  }
};

module.exports = {
  getCopy,
  getCopyPagination
};
