// const InvitacionDistribuidor = require('../Mail/InvitacionDistribuidorMail.js');
// const InvitacionDespacho = require('../Mail/InvitacionDespacho.js');
const DistribuidorModel = require('../models/Usuarios.js');
const { sendMail } = require('../config/mail.js');

const invitaDistribuidor = async (req, res) => {
  const { id } = req.params;
  const { correos, tipo, copy } = req.body;

  if (!id) {
    return res.status(400).json({ message: 'Es necesario el id' });
  }

  if (!correos || !correos.length) {
    return res.status(400).json({ message: 'Es necesario al menos un correo' });
  }

  if (!tipo) {
    return res.status(400).json({ message: 'Es necesario el tipo' });
  }

  try {
    const findDistribuidor = await DistribuidorModel.findById(id);

    if (!findDistribuidor) {
      return res.status(404).json({ message: 'Distribuidor no encontrado' });
    }

    const nombreCompleto = `${findDistribuidor.nombre} ${findDistribuidor.apellidoPaterno || ''} ${findDistribuidor.apellidoMaterno || ''}`;
    const email = findDistribuidor.email;

    const html = copy;

    correos.forEach(async (correo) => {
      try {
        // Ensure correos is a valid email address
        sendMail(
          html, // The HTML content of the email
          `Invitación a ${tipo}`, // The subject of the email
          correo, // This is the email address
          [], // Attachments, if any
          email, // From address
          nombreCompleto // Name of the sender
        );
      } catch (error) {
        console.log(`Error sending email to ${correo}:`, error);
      }
    });

    return res.status(200).json({ message: 'Invitación enviada' });
  } catch (error) {
    console.log(error);
    return res.status(409).json({ message: error.message, error });
  }
};

module.exports = { invitaDistribuidor };
